/* Copyright (c) 2000 Antonios Christofides
 *
 * syswin32.c - The Win32 version of daktsys.c
 *
 */

#include <conio.h>
#include <stdio.h>

void terminal_init(void)
{
}

void terminal_reset(void)
{
}

static int key_convert(int);

int get_key(void)
{
	return kbhit() ? key_convert(getch()): 0;
}

int read_key(void)
{
	return key_convert(getch());
}

/* key_convert converts a carriage return to a line feed, otherwise leaves key
 * as it was.
 */
static int key_convert(int key)
{
	return key==13 ? 10 : key;
}

void waitms(unsigned long ms)
{
        Sleep(ms);
}
